<?php

function di_multipurpose_child_enqueue_style() {
	// Load main css file of parent theme.
    wp_enqueue_style( 'di-multipurpose-style-default', get_template_directory_uri() . '/style.css' );

    if( class_exists( 'WooCommerce' ) ) {
	    // Load this child theme css after all parent css files including di-multipurpose-style-woo.
	    wp_enqueue_style( 'di-multipurpose-child-style',  get_stylesheet_directory_uri() . '/style.css', array( 'bootstrap', 'font-awesome', 'di-multipurpose-style-default', 'di-multipurpose-style-core', 'di-multipurpose-style-woo' ), wp_get_theme()->get('Version'), 'all');
	} else {
		// Load this child theme css after all parent css files.
	    wp_enqueue_style( 'di-multipurpose-child-style',  get_stylesheet_directory_uri() . '/style.css', array( 'bootstrap', 'font-awesome', 'di-multipurpose-style-default', 'di-multipurpose-style-core' ), wp_get_theme()->get('Version'), 'all');
	}
}
add_action( 'wp_enqueue_scripts', 'di_multipurpose_child_enqueue_style' );


